<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_categories
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Include the helper functions only once
require_once dirname(__FILE__).'/helper.php';

//$module->title = 'My Custom Title';

if ($params->get('override_menuitemid', 0))
{
	JFactory::getApplication()->getMenu('site')->setActive($params->get('override_menuitemid', 0));
}

$idbase = null;
$list = array();
// Prep for Normal or Dynamic Modes
$mode = $params->get('mode', 'dynamic');
$option = JRequest::getCmd('option');
$view = JRequest::getCmd('view');
switch($mode)
{
	case 'dynamic':
		if ($option === 'com_content') {
			switch($view)
			{
				case 'category':
					$idbase = JRequest::getInt('id');
					break;
				case 'categories':
					$idbase = JRequest::getInt('id');
					break;
				case 'article':
					if ($params->get('show_on_article_page', 1))
					{
						$idbase = JRequest::getInt('id');
						// Retrieve category ID using the current page's article ID:
						$db = JFactory::getDbo();
						$query = $db->getQuery(true);
						$query->select('catid');
						$query->from('#__content');
						$query->where($db->quoteName('id') . ' = ' . $db->Quote($idbase));
						$db->setQuery($query);
						$idbase = $db->loadResult();
					}
						//$idbase = JRequest::getInt('catid');
					//}
					break;
			}
		}
		break;
	case 'normal':
	default:
		$idbase = $params->get('parent');
		break;
}

if (!empty($idbase) && $mode === 'dynamic') {
	$params->set('parent', $idbase);
}

if (!empty($idbase)) {
	$list = modArtCats25Helper::getList($params, $module);
}

if (!empty($list)) {
	$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

	$level = JCategories::getInstance('Content')->get($params->get('parent', 'root'))->level;

	$startLevel = $level;
	//$startLevel = reset($list)->getParent()->level;
	require JModuleHelper::getLayoutPath('mod_artcats25', $params->get('layout', 'default'));
}
